Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000935Core InformKinds and type checkingpublic2012-06-20 03:592014-05-07 07:33
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000935: Properties initialized with implicitly created objects violate type safety
DescriptionThe attached source unexpectedly prints ``false'', because House is implicitly created as a thing.
Minimal Source Text To Reproduce
There is a room.
A person has a room called the home.
The home of yourself is House.
When play begins:
	showme whether or not the home of yourself is a room.
Additional InformationThis issue is probably known, considering WI 3.26:

- - - -
New directions must always be created in opposing pairs, and each must be declared with a clear simple sentence of the form "X is a direction."
- - - -

Nonetheless, the compiler ought to abide by the type system.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0002440)
graham (administrator)
2014-02-01 15:47

Fixed. This resulted from an excess of caution in issuing problem messages to do with certain kinds about which Inform has to make inferences rather than following direct declarations (rooms, for example, do not always need to be declared as such).

- Issue History
Date Modified Username Field Change
2012-06-20 03:59 EmacsUser New Issue
2012-06-20 04:02 EmacsUser Description Updated View Revisions
2012-06-20 07:48 curiousdannii Status new => confirmed
2014-02-01 15:47 graham Note Added: 0002440
2014-02-01 15:47 graham Status confirmed => resolved
2014-02-01 15:47 graham Resolution open => fixed
2014-02-01 15:47 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker